Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Existing

Import

post

Creates an Azure Virtual Desktop Host Pool from an existing Host Pool.

Body
siteIdinteger · int32Optional

Site ID in which to modify the specified AVD Host Pool. If the parameter is omitted, the site ID of the Licensing Server will be used.

workspaceIdinteger · int32Required

The Workspace ID.

enabledbooleanOptional

Enable or disable the AVD Host Pool upon creation. If the parameter is omitted, the AVD Host Pool is initialised as Disabled.

azureIdstring · min: 1 · max: 255 · nullableRequired

The Azure ID of the AVD Host Pool.

validationEnvironmentbooleanOptional

Whether Validation Environment is Enabled or not.

templateIdinteger · int32 · nullableOptional

The Template ID. Available to Templated Host Pools

templateVersionIdinteger · int32 · nullableOptional

The Template Version ID. Available to Templated Host Pools

templateTagIdinteger · int32 · nullableOptional

The Template Tag ID. Available to Templated Host Pools

maxHostsinteger · int32 · nullableOptional

The maximum number of hosts that can be created from the template. Available to Templated Personal Host Pools

preCreatedHostsinteger · int32 · nullableOptional

The maximum number of pre-created hosts. (Keep available buffer) Available to Templated Personal Host Pools

durationinteger · int32 · nullableOptional

The duration (in seconds) before the unused hosts are deleted Available to Templated Personal Host Pools

hostsToCreateinteger · int32 · nullableOptional

The number of hosts that will be created after template creation process has finished. These desktops are created only once.

autoScaleEnabledboolean · nullableOptional

Whether AutoScale is Enabled or not Available to Templated Pooled Host Pools

minServersFromTemplateinteger · int32 · nullableOptional

The Minimum Number of Hosts added from the template. Default: 1

maxServersFromTemplateinteger · int32 · nullableOptional

The Maximum Number of Hosts added from the template. Default: 2

workloadThresholdinteger · int32 · nullableOptional

The Workload Threshold. Default: 75

serversToAddPerRequestinteger · int32 · nullableOptional

The amount of servers to add per request. Default: 1

workLoadDraininteger · int32 · nullableOptional

The Drain Workload. Default: 20

drainRemainsBelowSecinteger · int32 · nullableOptional

The Remaining Drain level. Default: 1 (Immediate)

removeServersAfterDrainAndPowerOffboolean · nullableOptional

Remove hosts from host pool after drain and power off.

hostNamestring · min: 1 · max: 255 · nullableRequired

The host name format. All VMs created from the template will have this name with %ID:N:S% replaced.

defaultPowerStatestring · enumOptional

Session Type

Possible values:
overwriteSizeboolean · nullableOptional

Whether Overwrite Size is Enabled or not. Available to Templated Host Pools

vmSizestring · nullableOptional

VMSize which will override the size specified in template properties. Example: Standard_B2s

Responses
201

Created

application/json; api-version=1.0

Azure Virtual Desktop Host Pool

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

siteIdinteger · int32Optional

The site ID associated with the Host Pool.

enabledbooleanOptional

Whether host pool is enabled or not.

namestring · nullableOptional

The Name of the Host Pool

friendlyNamestring · nullableOptional

The Friendly Name of the Host Pool

descriptionstring · nullableOptional

The Description of the Host Pool

resourceGroupstring · nullableOptional

The Resource Group of the Host Pool

locationstring · nullableOptional

The location of the Host Pool

azureIdstring · nullableOptional

The Azure ID

workspaceIdinteger · int32Optional

The Workspace ID.

linkedDesktopApplicationGroupstring · nullableOptional

The Linked Desktop Application Group.

linkedRemoteApplicationGroupstring · nullableOptional

The Linked Remote Application Group.

inheritDefaultAgentSettingsbooleanOptional

If true, default Agent settings will be inherited.

inheritDefaultUserProfileSettingsbooleanOptional

If true, default User Profile settings will be inherited.

inheritDefaultAppPackageSettingsbooleanOptional

If true, default app package settings will be inherited.

inheritDefaultOptimizationSettingsboolean · nullableOptional

If true, default optimization settings will be inherited.

inheritDefaultActionsSettingsboolean · nullableOptional

If true, default Actions settings will be inherited.

inheritDefaultRDPPrinterSettingsbooleanOptional

If true, default Printing settings will be inherited.

inheritDefaultAutoUpgradeSettingsbooleanOptional

If true, default Auto-upgrade settings will be inherited.

post/api/AVD/HostPool/Existing
POST /api/AVD/HostPool/Existing HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 546

{
  "siteId": 1,
  "workspaceId": 1,
  "enabled": true,
  "azureId": "text",
  "validationEnvironment": true,
  "templateId": 1,
  "templateVersionId": 1,
  "templateTagId": 1,
  "maxHosts": 1,
  "preCreatedHosts": 1,
  "duration": 1,
  "hostsToCreate": 1,
  "autoScaleEnabled": true,
  "minServersFromTemplate": 1,
  "maxServersFromTemplate": 1,
  "workloadThreshold": 1,
  "serversToAddPerRequest": 1,
  "workLoadDrain": 1,
  "drainRemainsBelowSec": 1,
  "removeServersAfterDrainAndPowerOff": true,
  "hostName": "text",
  "defaultPowerState": [
    "0 = PoweredOn",
    "1 = PoweredOff",
    "2 = Suspended"
  ],
  "overwriteSize": true,
  "vmSize": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "siteId": 1,
  "enabled": true,
  "name": "text",
  "friendlyName": "text",
  "description": "text",
  "resourceGroup": "text",
  "location": "text",
  "azureId": "text",
  "workspaceId": 1,
  "linkedDesktopApplicationGroup": "text",
  "linkedRemoteApplicationGroup": "text",
  "configuration": {
    "poolType": [
      "0 = Pooled",
      "1 = Personal"
    ],
    "publishingType": [
      "0 = RemoteApp",
      "1 = Desktop"
    ],
    "provisioningType": [
      "0 = Template",
      "1 = Standalone"
    ],
    "loadBalancerType": [
      "0 = BreadthFirst",
      "1 = DepthFirst",
      "2 = Persistent"
    ],
    "powerOnHost": true,
    "validationEnvironment": true,
    "limitHosts": 1,
    "defaultLicenseType": [
      "0 = DoNotConfigure",
      "1 = WindowsClient",
      "2 = WindowsServer"
    ]
  },
  "templateSettings": {
    "templateId": 1,
    "templateVersionId": 1,
    "templateTagId": 1
  },
  "provisioningSettings": {
    "hostName": "text",
    "defaultPowerState": [
      "0 = PoweredOn",
      "1 = PoweredOff",
      "2 = Suspended"
    ],
    "maxHosts": 1,
    "preCreatedHosts": 1,
    "duration": 1,
    "autoScale": {
      "autoScaleEnabled": true,
      "minServersFromTemplate": 1,
      "maxServersFromTemplate": 1,
      "workloadThreshold": 1,
      "serversToAddPerRequest": 1,
      "workLoadDrain": 1,
      "drainRemainsBelowSec": 1,
      "removeServersAfterDrainAndPowerOff": true
    },
    "overwriteSize": true,
    "vmSize": {
      "vmSize": "text",
      "offering": "text",
      "family": "text",
      "vcpUs": 1,
      "ram": "text",
      "dataDisk": 1,
      "maximumIOPS": "text",
      "tempStorage": 1,
      "premiumDiskSupport": [
        "0 = No",
        "1 = Yes"
      ]
    }
  },
  "assignments": [
    {
      "account": "text",
      "type": [
        "1 = User",
        "2 = Group",
        "3 = ForeignSecurityPrincipal",
        "4 = Computer"
      ],
      "sid": "text",
      "azureActiveDirectory": "text",
      "azureActiveDirectoryId": "text"
    }
  ],
  "inheritDefaultAgentSettings": true,
  "agent": {
    "disconnectActiveSessionAfter": 1,
    "logoffDisconnectedSessionAfter": 1,
    "sessionReadinessTimeout": 1,
    "allowURLAndMailRedirection": [
      "0 = Disabled",
      "1 = Enabled",
      "2 = EnabledWithAppRegistration"
    ],
    "supportShellURLNamespaceObjects": true,
    "dragAndDropMode": [
      "0 = Disabled",
      "1 = ClientToServer",
      "2 = ServerToClient",
      "3 = Bidirectional"
    ],
    "allowRemoteExec": true,
    "manageRDPTransportProtocol": [
      "0 = Disabled",
      "1 = BothUDPTCP",
      "2 = OnlyTCP",
      "3 = EitherUDPTCP"
    ],
    "fileTransferMode": [
      "0 = Disabled",
      "1 = ClientToServer",
      "2 = ServerToClient",
      "3 = Bidirectional"
    ],
    "fileTransferLocation": "text",
    "fileTransferLockLocation": true,
    "enableDriveRedirectionCache": true,
    "enableZOrder": true,
    "manageRDPShortpath": true,
    "appMonitor": true,
    "useRDPShortpath": true,
    "useSmallerPortRange": true,
    "minRDPShortpathPort": 1,
    "maxRDPShortpathPort": 1
  },
  "inheritDefaultUserProfileSettings": true,
  "userProfile": {
    "technology": [
      "0 = DoNotManage",
      "1 = UPD",
      "2 = FSLogix"
    ],
    "fsLogix": {
      "profileContainer": {
        "enabled": true,
        "locationType": [
          "0 = SMBLocation",
          "1 = CloudCache"
        ],
        "vhdLocations": [
          "text"
        ],
        "ccdLocations": [
          "text"
        ],
        "profileDiskFormat": [
          "0 = VHD",
          "1 = VHDX"
        ],
        "allocationType": [
          "0 = Dynamic",
          "1 = Full"
        ],
        "defaultSize": 1,
        "userInclusionList": [
          {
            "account": "text",
            "type": [
              "1 = User",
              "2 = Group",
              "3 = ForeignSecurityPrincipal",
              "4 = Computer"
            ],
            "sid": "text"
          }
        ],
        "userExclusionList": [
          {
            "account": "text",
            "type": [
              "1 = User",
              "2 = Group",
              "3 = ForeignSecurityPrincipal",
              "4 = Computer"
            ],
            "sid": "text"
          }
        ],
        "cloudCache": {
          "useMaxCacheSizeInMBs": true,
          "maxCacheSizeInMBs": 1,
          "useClearCacheOnLogoff": true,
          "clearCacheOnLogoff": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useHealthyProvidersRequiredForRegister": true,
          "healthyProvidersRequiredForRegister": 1,
          "useHealthyProvidersRequiredForUnregister": true,
          "healthyProvidersRequiredForUnregister": 1,
          "useUnregisterTimeout": true,
          "unregisterTimeout": 1,
          "useClearCacheOnForcedUnregister": true,
          "clearCacheOnForcedUnregister": [
            "0 = Disable",
            "1 = Enable"
          ]
        },
        "customizeProfileFolders": true,
        "excludeCommonFolders": [
          "1 = Contacts",
          "2 = Desktop",
          "4 = Documents",
          "8 = Links",
          "16 = MusicPodcasts",
          "32 = PicturesVideos",
          "64 = FoldersLowIntegProcesses",
          "128 = Downloads"
        ],
        "folderInclusionList": [
          "text"
        ],
        "folderExclusionList": [
          {
            "folder": "text",
            "excludeFolderCopy": [
              "0 = None",
              "1 = CopyBase",
              "2 = CopyBack"
            ]
          }
        ],
        "advancedSettings": {
          "useLockedRetryCount": true,
          "lockedRetryCount": 1,
          "useLockedRetryInterval": true,
          "lockedRetryInterval": 1,
          "useAccessNetworkAsComputerObject": true,
          "accessNetworkAsComputerObject": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useAttachVHDSDDL": true,
          "attachVHDSDDL": "text",
          "useDiffDiskParentFolderPath": true,
          "diffDiskParentFolderPath": "text",
          "useFlipFlopProfileDirectoryName": true,
          "flipFlopProfileDirectoryName": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useNoProfileContainingFolder": true,
          "noProfileContainingFolder": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useOutlookCachedMode": true,
          "outlookCachedMode": [
            "0 = Disable",
            "1 = Enable"
          ],
          "usePreventLoginWithFailure": true,
          "preventLoginWithFailure": [
            "0 = Disable",
            "1 = Enable"
          ],
          "usePreventLoginWithTempProfile": true,
          "preventLoginWithTempProfile": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useReAttachRetryCount": true,
          "reAttachRetryCount": 1,
          "useReAttachIntervalSeconds": true,
          "reAttachIntervalSeconds": 1,
          "useRemoveOrphanedOSTFilesOnLogoff": true,
          "removeOrphanedOSTFilesOnLogoff": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useRoamSearch": true,
          "roamSearch": [
            "0 = Disable",
            "1 = SingleUser",
            "2 = MultiUser"
          ],
          "useSIDDirNameMatch": true,
          "sidDirNameMatch": "text",
          "useSIDDirNamePattern": true,
          "sidDirNamePattern": "text",
          "useSIDDirSDDL": true,
          "sidDirSDDL": "text",
          "useVHDNameMatch": true,
          "vhdNameMatch": "text",
          "useVHDNamePattern": true,
          "vhdNamePattern": "text",
          "useVHDXSectorSize": true,
          "vhdxSectorSize": [
            "0 = SystemDefault",
            "512 = Size_512",
            "4096 = Size_4096"
          ],
          "useVolumeWaitTimeMS": true,
          "volumeWaitTimeMS": 1,
          "useIgnoreNonAVD": true,
          "ignoreNonAVD": [
            "0 = AnySession",
            "1 = AVDSessions"
          ],
          "useRedirectType": true,
          "redirectType": [
            "1 = Legacy",
            "2 = Advanced"
          ],
          "useKeepLocalDir": true,
          "keepLocalDir": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useDeleteLocalProfileWhenVHDShouldApply": true,
          "deleteLocalProfileWhenVHDShouldApply": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useProfileDirSDDL": true,
          "profileDirSDDL": "text",
          "useProfileType": true,
          "profileType": [
            "0 = NormalProfile",
            "1 = OnlyRWProfile",
            "2 = OnlyROProfile",
            "3 = RWROProfile"
          ],
          "useSetTempToLocalPath": true,
          "setTempToLocalPath": [
            "0 = TakeNoAction",
            "1 = RedirectTempAndTmp",
            "2 = RedirectINetCache",
            "3 = RedirectTempTmpAndINetCache"
          ],
          "useCleanOutNotifications": true,
          "cleanOutNotifications": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useInstallAppxPackages": true,
          "installAppxPackages": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useRebootOnUserLogoff": true,
          "rebootOnUserLogoff": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useRoamIdentity": true,
          "roamIdentity": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useShutdownOnUserLogoff": true,
          "shutdownOnUserLogoff": [
            "0 = Disable",
            "1 = Enable"
          ]
        }
      },
      "officeContainer": {
        "enabled": true,
        "locationType": [
          "0 = SMBLocation",
          "1 = CloudCache"
        ],
        "vhdLocations": [
          "text"
        ],
        "ccdLocations": [
          "text"
        ],
        "profileDiskFormat": [
          "0 = VHD",
          "1 = VHDX"
        ],
        "allocationType": [
          "0 = Dynamic",
          "1 = Full"
        ],
        "defaultSize": 1,
        "userInclusionList": [
          {
            "account": "text",
            "type": [
              "1 = User",
              "2 = Group",
              "3 = ForeignSecurityPrincipal",
              "4 = Computer"
            ],
            "sid": "text"
          }
        ],
        "userExclusionList": [
          {
            "account": "text",
            "type": [
              "1 = User",
              "2 = Group",
              "3 = ForeignSecurityPrincipal",
              "4 = Computer"
            ],
            "sid": "text"
          }
        ],
        "cloudCache": {
          "useMaxCacheSizeInMBs": true,
          "maxCacheSizeInMBs": 1,
          "useClearCacheOnLogoff": true,
          "clearCacheOnLogoff": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useHealthyProvidersRequiredForRegister": true,
          "healthyProvidersRequiredForRegister": 1,
          "useHealthyProvidersRequiredForUnregister": true,
          "healthyProvidersRequiredForUnregister": 1,
          "useUnregisterTimeout": true,
          "unregisterTimeout": 1,
          "useClearCacheOnForcedUnregister": true,
          "clearCacheOnForcedUnregister": [
            "0 = Disable",
            "1 = Enable"
          ]
        },
        "advancedSettings": {
          "useLockedRetryCount": true,
          "lockedRetryCount": 1,
          "useLockedRetryInterval": true,
          "lockedRetryInterval": 1,
          "useAccessNetworkAsComputerObject": true,
          "accessNetworkAsComputerObject": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useAttachVHDSDDL": true,
          "attachVHDSDDL": "text",
          "useDiffDiskParentFolderPath": true,
          "diffDiskParentFolderPath": "text",
          "useFlipFlopProfileDirectoryName": true,
          "flipFlopProfileDirectoryName": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useNoProfileContainingFolder": true,
          "noProfileContainingFolder": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useOutlookCachedMode": true,
          "outlookCachedMode": [
            "0 = Disable",
            "1 = Enable"
          ],
          "usePreventLoginWithFailure": true,
          "preventLoginWithFailure": [
            "0 = Disable",
            "1 = Enable"
          ],
          "usePreventLoginWithTempProfile": true,
          "preventLoginWithTempProfile": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useReAttachRetryCount": true,
          "reAttachRetryCount": 1,
          "useReAttachIntervalSeconds": true,
          "reAttachIntervalSeconds": 1,
          "useRemoveOrphanedOSTFilesOnLogoff": true,
          "removeOrphanedOSTFilesOnLogoff": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useRoamSearch": true,
          "roamSearch": [
            "0 = Disable",
            "1 = SingleUser",
            "2 = MultiUser"
          ],
          "useSIDDirNameMatch": true,
          "sidDirNameMatch": "text",
          "useSIDDirNamePattern": true,
          "sidDirNamePattern": "text",
          "useSIDDirSDDL": true,
          "sidDirSDDL": "text",
          "useVHDNameMatch": true,
          "vhdNameMatch": "text",
          "useVHDNamePattern": true,
          "vhdNamePattern": "text",
          "useVHDXSectorSize": true,
          "vhdxSectorSize": [
            "0 = SystemDefault",
            "512 = Size_512",
            "4096 = Size_4096"
          ],
          "useVolumeWaitTimeMS": true,
          "volumeWaitTimeMS": 1,
          "useIgnoreNonAVD": true,
          "ignoreNonAVD": [
            "0 = AnySession",
            "1 = AVDSessions"
          ],
          "useRedirectType": true,
          "redirectType": [
            "1 = Legacy",
            "2 = Advanced"
          ],
          "useIncludeOfficeActivation": true,
          "includeOfficeActivation": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeOneDrive": true,
          "includeOneDrive": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeOneNote": true,
          "includeOneNote": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeOneNoteUWP": true,
          "includeOneNoteUWP": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeOutlook": true,
          "includeOutlook": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeOutlookPersonalization": true,
          "includeOutlookPersonalization": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeSharepoint": true,
          "includeSharepoint": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useIncludeTeams": true,
          "includeTeams": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useMirrorLocalOSTToVHD": true,
          "mirrorLocalOSTToVHD": [
            "0 = DoNothing",
            "1 = Copy",
            "2 = Move"
          ],
          "useNumSessionVHDsToKeep": true,
          "numSessionVHDsToKeep": 1,
          "useOutlookFolderPath": true,
          "outlookFolderPath": "text",
          "useRefreshUserPolicy": true,
          "refreshUserPolicy": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useVHDAccessMode": true,
          "vhdAccessMode": [
            "0 = NormalDirectAccess",
            "1 = DiffDiskNetwork",
            "2 = DiffDiskLocal",
            "3 = UniqueVHDPerSession"
          ]
        }
      },
      "generalSettings": {
        "appServices": {
          "useCleanupInvalidSessions": true,
          "cleanupInvalidSessions": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useRoamRecycleBin": true,
          "roamRecycleBin": [
            "0 = Disable",
            "1 = Enable"
          ],
          "useVHDCompactDisk": true,
          "vhdCompactDisk": [
            "0 = Disable",
            "1 = Enable"
          ]
        },
        "cloudCacheGeneral": {
          "useCacheDirectory": true,
          "cacheDirectory": "text",
          "useWriteCacheDirectory": true,
          "writeCacheDirectory": "text",
          "useProxyDirectory": true,
          "proxyDirectory": "text",
          "useSilenceACLWarning": true,
          "silenceACLWarning": [
            "0 = Disable",
            "1 = Enable"
          ]
        },
        "logging": {
          "logEnabled": [
            "0 = Disable",
            "1 = Specific",
            "2 = All"
          ],
          "logLevel": [
            "0 = Debug",
            "1 = Information",
            "2 = Warning",
            "3 = Error"
          ],
          "logFileKeepingPeriod": 1,
          "logDirectory": "text",
          "robocopyLogPath": "text",
          "logSpecificComponents": [
            "1 = ProfileConfigTool",
            "2 = IEPlugin",
            "4 = RuleEditor",
            "8 = JavaRuleEditor",
            "16 = FSLogixAgentService",
            "32 = Profile",
            "64 = JavaLauncher",
            "128 = OfficeContainer",
            "256 = RuleCompilation",
            "512 = FontVisibility",
            "1024 = Network",
            "2048 = PrinterVisibility",
            "4096 = ADSComputerGroup",
            "8192 = DriverInterface",
            "16384 = WindowsSearchRoaming",
            "32768 = WindowsSearchPlugin",
            "65536 = ProcessStartMonitor"
          ]
        }
      }
    }
  },
  "inheritDefaultAppPackageSettings": true,
  "appPackagesAssigned": {
    "applicationPackagesAssigned": [
      {
        "version": "text",
        "tagName": "text",
        "tagId": 1,
        "packageName": "text"
      }
    ]
  },
  "inheritDefaultOptimizationSettings": true,
  "optimization": {
    "enableOptimization": true,
    "optimizationType": [
      "0 = Automatic",
      "1 = Manual"
    ],
    "windowsDefenderATP": {
      "winDefATPTurnOffOn": [
        "0 = TurnOffWindowsDefenderATP",
        "1 = TurnOnWindowsDefenderATP"
      ],
      "disableRealTimeProtection": true,
      "excludeFolders": [
        "text"
      ],
      "excludeProcesses": [
        "text"
      ],
      "excludeExtension": [
        "text"
      ]
    },
    "windowsComponents": {
      "windowsComponentsList": [
        {
          "type": [
            "0 = Predefined",
            "1 = Custom"
          ],
          "componentName": "text",
          "displayName": "text",
          "aliases": "text"
        }
      ]
    },
    "windowsDefenderATPEnabled": true,
    "windowsComponentsEnabled": true,
    "windowsServicesEnabled": true,
    "windowsScheduledTasksEnabled": true,
    "windowsAdvancedOptionsEnabled": true,
    "networkPerformanceEnabled": true,
    "registryEnabled": true,
    "visualEffectsEnabled": true,
    "diskCleanupEnabled": true,
    "customScriptEnabled": true,
    "windowsServices": {
      "windowsServicesList": [
        {
          "type": [
            "0 = Predefined",
            "1 = Custom"
          ],
          "serviceName": "text",
          "displayName": "text",
          "aliases": "text"
        }
      ]
    },
    "windowsAdvancedOptions": {
      "partialStartLayoutContent": "text",
      "hibernate": true,
      "teleCollection": true,
      "systemRestore": true,
      "additionalErrorReport": true,
      "tiles": true,
      "cortana": true,
      "microsoftConsumerExperience": true,
      "windowsTips": true,
      "commonProgramGroups": true,
      "partialStartMenu": true
    },
    "networkPerformance": {
      "dirCacheMax": 1,
      "dormantFileLimit": 1,
      "fileNotFoundCache": 1,
      "fileInfoCache": 1,
      "fileInfoCacheEnable": true,
      "directoryCacheEnable": true,
      "fileNotFoundCacheEnable": true,
      "dormantFileLimitEnable": true,
      "disableTCP": true,
      "disableIPv6CompEnable": true,
      "disableIPv6ToIPv4": true,
      "disableIsaTap": true
    },
    "customScript": {
      "arguments": "text",
      "command": "text",
      "initDir": "text",
      "user": "text"
    },
    "diskCleanup": {
      "cleanupWinSxSFolder": true,
      "cleanupSystemFiles": true,
      "cleanupTemporaryFileLogs": true,
      "removeOneDrive": true,
      "deleteUserProfiles": true
    },
    "visualEffects": {
      "visualEffectsTypes": [
        "0 = LetWindowsChooseWhatsBest",
        "1 = AdjustForBestAppearance",
        "2 = AdjustForBestPerformance",
        "3 = Custom"
      ],
      "animateControlSelectElements": true,
      "animateWindowsWhenMinimizingMaximizing": true,
      "animateTaskbar": true,
      "enablePeek": true,
      "fadeSlideMenus": true,
      "fadeSlideToolTips": true,
      "fadeOutMenuItems": true,
      "saveTaskbarThumbnail": true,
      "showShadowUnderMouse": true,
      "shadowUnderWindows": true,
      "thumbnailsInsteadOfIcons": true,
      "showTranslucentSelection": true,
      "showWindowsContentWhilstDragging": true,
      "slideOpenComboBoxes": true,
      "smoothEdgesScreenFonts": true,
      "smoothScrollListBoxes": true,
      "dropShadowsIcon": true
    },
    "windowsScheduledTasks": {
      "windowsScheduledTasksList": [
        {
          "task": "text",
          "location": "text",
          "type": [
            "0 = Folder",
            "1 = Task"
          ]
        }
      ]
    },
    "registry": {
      "registryList": [
        {
          "id": 1,
          "action": [
            "0 = Add",
            "1 = Modify",
            "2 = Delete"
          ],
          "registryName": "text",
          "dwordValue": 1,
          "displayName": "text",
          "hiveType": [
            "0 = HKEY_CURRENT_CONFIG",
            "1 = HKEY_USERS",
            "2 = HKEY_LOCAL_MACHINE",
            "3 = HKEY_CLASSES_ROOT"
          ],
          "path": "text",
          "regType": [
            "0 = REG_SZ",
            "1 = REG_DWORD",
            "2 = REG_QWORD",
            "3 = REG_MULTI_SZ",
            "4 = REG_EXPAND_SZ"
          ],
          "stringValue": "text"
        }
      ]
    },
    "uwpApps": {
      "allExcept": [
        "text"
      ],
      "followingPkgs": [
        "text"
      ],
      "removeType": [
        "0 = AllExcept",
        "1 = FollowingPkgs"
      ]
    }
  },
  "inheritDefaultActionsSettings": true,
  "action": {
    "sessionAction": [
      "0 = Disconnect",
      "1 = Logoff"
    ],
    "performAction": [
      "0 = DoNothing",
      "2 = Shutdown",
      "4 = Suspend",
      "7 = Delete",
      "8 = Restart",
      "9 = Unassign",
      "10 = Recreate"
    ],
    "performActionAfterSec": 1
  },
  "inheritDefaultRDPPrinterSettings": true,
  "rdpPrinter": {
    "printerNameFormat": [
      "0 = PrnFormat_PRN_CMP_SES",
      "1 = PrnFormat_SES_CMP_PRN",
      "2 = PrnFormat_PRN_REDSES"
    ],
    "removeSessionNumberFromPrinterName": true,
    "removeClientNameFromPrinterName": true
  },
  "inheritDefaultAutoUpgradeSettings": true,
  "autoUpgrade": {
    "enabled": true,
    "startDateTime": "2026-01-01T00:00:00.000Z",
    "drainModeDurationInSecs": 1,
    "forceLogoffSessions": true,
    "repeat": [
      "0 = Never",
      "1 = EveryDay",
      "2 = EveryWeek",
      "3 = Every2Weeks",
      "4 = EveryMonth",
      "5 = EveryYear",
      "6 = SpecificDays"
    ],
    "specificDays": [
      "0 = Never",
      "1 = Sunday",
      "2 = Monday",
      "4 = Tuesday",
      "8 = Wednesday",
      "16 = Thursday",
      "32 = Friday",
      "64 = Saturday"
    ],
    "messages": [
      {
        "id": 1,
        "enabled": true,
        "messageTitle": "text",
        "message": "text",
        "sendMsgSecs": 1,
        "sendMsgWhen": [
          "0 = Before",
          "1 = After"
        ]
      }
    ]
  },
  "avdAgent": {
    "scheduleAgentUpdates": true,
    "localSessionTimeZone": true,
    "timeZone": "text",
    "scheduleDay1": [
      "0 = Monday",
      "1 = Tuesday",
      "2 = Wednesday",
      "3 = Thursday",
      "4 = Friday",
      "5 = Saturday",
      "6 = Sunday"
    ],
    "scheduleTime1": [
      "0 = h00",
      "1 = h01",
      "2 = h02",
      "3 = h03",
      "4 = h04",
      "5 = h05",
      "6 = h06",
      "7 = h07",
      "8 = h08",
      "9 = h09",
      "10 = h10",
      "11 = h11",
      "12 = h12",
      "13 = h13",
      "14 = h14",
      "15 = h15",
      "16 = h16",
      "17 = h17",
      "18 = h18",
      "19 = h19",
      "20 = h20",
      "21 = h21",
      "22 = h22",
      "23 = h23"
    ],
    "enableSchedule2": true,
    "scheduleDay2": [
      "0 = Monday",
      "1 = Tuesday",
      "2 = Wednesday",
      "3 = Thursday",
      "4 = Friday",
      "5 = Saturday",
      "6 = Sunday"
    ],
    "scheduleTime2": [
      "0 = h00",
      "1 = h01",
      "2 = h02",
      "3 = h03",
      "4 = h04",
      "5 = h05",
      "6 = h06",
      "7 = h07",
      "8 = h08",
      "9 = h09",
      "10 = h10",
      "11 = h11",
      "12 = h12",
      "13 = h13",
      "14 = h14",
      "15 = h15",
      "16 = h16",
      "17 = h17",
      "18 = h18",
      "19 = h19",
      "20 = h20",
      "21 = h21",
      "22 = h22",
      "23 = h23"
    ]
  }
}

Last updated